高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
List of all members
AMapNaviTravelManager Class Reference

`#include <AMapNaviTravelManager.h>`

Inheritance diagram for AMapNaviTravelManager:

## Additional Inherited Members
Instance Methods inherited from AMapNaviBaseManager
(BOOL) | - playTTS:forcePlay:
(void) | - pauseNaviSpeech
| 暂停内置导航语音播报，不影响导航状态。暂停期间产生的内置语音不会播报。 Pause built-in navigation voice prompts without affecting navigation state. Built-in prompts generated while paused will not be played.
(void) | - resumeNaviSpeech
| 恢复内置导航语音播报，不影响导航状态。 Resume built-in navigation voice prompts without affecting navigation state.
(void) | - setExternalLocation:isAMapCoordinate:
| 设置外部传入定位的信息 Set externally transmitted location information
(void) | - setEmulatorNaviSpeed:
| 设置模拟导航的速度,默认60 Set the speed of simulated navigation, default is 60
(BOOL) | - startEmulatorNavi
| 开始模拟导航. 注意：必须在路径规划成功的情况下，才能够开始模拟导航 Start simulated navigation. Note: Simulated navigation can only be started after successful route planning.
(BOOL) | - startGPSNavi
| 开始实时导航. 注意：必须在路径规划成功的情况下，才能够开始实时导航 Start real-time navigation. Note: Real-time navigation can only be started when the route planning is successful
(BOOL) | - startEmulatorNavi:
| 开始模拟导航. 注意：必须传入导航的路线组合routeGroup，才能够开始模拟导航. since 7.7.0 Start simulated navigation. Note: The routeGroup for navigation must be passed in to start simulated navigation. since 7.7.0
(BOOL) | - startGPSNavi:
| 开始实时导航. 注意：必须传入导航的路线组合routeGroup，才能够开始实时导航. since 7.7.0 Start real-time navigation. Note: The routeGroup of the navigation must be passed in to start real-time navigation. since 7.7.0
(BOOL) | - stopNavi
| 停止导航,包含实时导航和模拟导航 Stop navigation, including real-time navigation and simulated navigation
(void) | - pauseNavi
| 暂停导航,包含实时导航和模拟导航 Pause navigation, including real-time navigation and simulated navigation
(void) | - resumeNavi
| 继续导航,包含实时导航和模拟导航 Resume navigation, including real-time navigation and simulated navigation
(BOOL) | - readNaviInfoManual
| 实时导航中手动触发一次信息播报. 注意：该接口仅支持驾车和步行，骑行不支持此功能. Manually trigger an information broadcast during real-time navigation. Note: This interface only supports driving and walking, cycling does not support this function.
(NSString *) | - getStructuredInfoInRoute
| 获取行前结构体信息. since 10.1.300
(NSString *) | - getStructuredInfoInNavi
| 获取行中结构体信息. since 10.1.300
(nullable NSArray< AMapNaviGuide * > *) | - getNaviGuideList
| 获取导航路线的路线详情列表 Get the route details list of the navigation route
Class Methods inherited from AMapNaviBaseManager
(void) | + setAppLang:authCallback:
| 设置app语言类型和语音包路径，要确保AMapNaviDriveManager单例创建前设置。since 11.0.030 * Set the app language type and voice package path, ensure it is set before the singleton creation of AMapNaviDriveManager
(void) | + setAlcLogConfig:recordStorage:
| 设置ALC日志初始化配置，必须在导航任一manager单例创建前调用。since 11.1.080 Set ALC log initialization configuration. This must be called before creating any navigation manager singleton.
Properties inherited from AMapNaviBaseManager
AMapNaviMode | naviMode
BOOL | screenAlwaysBright
BOOL | pausesLocationUpdatesAutomatically
BOOL | allowsBackgroundLocationUpdates
BOOL | enableExternalLocation
CLLocation * | externalLocation
BOOL | isUseInternalTTS
BOOL | isUseTextPlay

## Detailed Description

注意:该类为骑步行控制器基类,请不要直接初始化使用 Note: This class is the base class for the riding/walking controller, please do not initialize and use it directly

The documentation for this class was generated from the following file:

- AMapNaviTravelManager.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。